export declare class WorkspaceProvider {
    directory: string;
    junk: string;
    protected onStart(): Promise<void>;
    protected onStop(): Promise<void>;
    /**
     * Generate a filepath. Useful for temp file or test.
     *
     * @return Random filepath
     */
    randomTmpPath(): string;
    /**
     * Get absolute path of workspace file.
     *
     * @param entry
     * @return {string}
     */
    join(...entry: string[]): string;
    /**
     * Destroy a file.
     *
     * @param path    File path to kill
     * @return        Nothing when process is done
     */
    rm(path: any): Promise<void>;
}
